@import "variables";

@font-face {
  font-family: '#{$icomoon-font-family}';
  src:
    url('#{$icomoon-font-path}/#{$icomoon-font-family}.ttf?8l23il') format('truetype'),
    url('#{$icomoon-font-path}/#{$icomoon-font-family}.woff?8l23il') format('woff'),
    url('#{$icomoon-font-path}/#{$icomoon-font-family}.svg?8l23il##{$icomoon-font-family}') format('svg');
  font-weight: normal;
  font-style: normal;
  font-display: block;
}

[class^="icon--"], [class*=" icon--"] {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: '#{$icomoon-font-family}' !important;
  speak: never;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;

  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.icon--edit {
  &:before {
    content: $icon--edit; 
  }
}
.icon--close {
  &:before {
    content: $icon--close; 
  }
}
.icon--plus {
  &:before {
    content: $icon--plus; 
  }
}
.icon--delete {
  &:before {
    content: $icon--delete; 
  }
}
.icon--check {
  &:before {
    content: $icon--check; 
  }
}
.icon--angle-down {
  &:before {
    content: $icon--angle-down; 
  }
}

